| Version: 3.3.1

Protected Member Functions | List of all members
wxDateTimeChristianHolidays Class Reference
Class List by Category » Data Structures

`#include <wx/datetime.h>`

Inheritance diagram for wxDateTimeChristianHolidays:
[legend]

## Detailed Description

Holiday authority that returns holidays common to all Christian religions.

This includes:

- Easter (moveable feast)
- Christmas

##

Library: wxBase
Category: Data Structures

Since
  3.3.0

## Protected Member Functions
bool | DoIsHoliday (const wxDateTime &dt) const override
| Override which returns true if provided date is Easter or Christmas. More...
size_t | DoGetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays) const override
| Override to determine the holidays within a date range. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxDateTimeUSCatholicFeasts
static wxDateTime | GetEaster (int year)
| Returns the date for Easter for a given year. More...
static wxDateTime | GetThursdayAscension (int year)
| Returns the date for Ascension for a given year. More...
static wxDateTime | GetSundayAscension (int year)
| Returns the date for Ascension for a given year. More...
Static Public Member Functions inherited from wxDateTimeHolidayAuthority
static bool | IsHoliday (const wxDateTime &dt)
| Returns true if the given date is a holiday. More...
static size_t | GetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays)
| Fills the provided array with all holidays in the given range, returns the number of them. More...
static void | ClearAllAuthorities ()
| Clears the list of holiday authorities. More...
static void | AddAuthority (wxDateTimeHolidayAuthority *auth)
| Adds a new holiday authority. More...

## Member Function Documentation

## ◆ DoGetHolidaysInRange()

size_t wxDateTimeChristianHolidays::DoGetHolidaysInRange | ( | const wxDateTime & | dtStart,
|  | const wxDateTime & | dtEnd,
|  | wxDateTimeArray & | holidays
| ) |  | const
| override protected virtual

Override to determine the holidays within a date range.

Reimplemented from wxDateTimeUSCatholicFeasts.

## ◆ DoIsHoliday()

bool wxDateTimeChristianHolidays::DoIsHoliday | ( | const wxDateTime & | dt | ) | const
| override protected virtual

Override which returns true if provided date is Easter or Christmas.

Reimplemented from wxDateTimeUSCatholicFeasts.